## Get share recipient by ID `client.ResourceSharing.Recipients.Get(ctx, shareID, recipientID, params) (*RecipientGetResponse, error)` **get** `/accounts/{account_id}/shares/{share_id}/recipients/{recipient_id}` Get share recipient by ID. ### Parameters - `shareID string` Share identifier tag. - `recipientID string` Share Recipient identifier tag. - `params RecipientGetParams` - `AccountID param.Field[string]` Path param: Account identifier. - `IncludeResources param.Field[bool]` Query param: Include resources in the response. ### Returns - `type RecipientGetResponse struct{…}` - `ID string` Share Recipient identifier tag. - `AccountID string` Account identifier. - `AssociationStatus RecipientGetResponseAssociationStatus` Share Recipient association status. - `const RecipientGetResponseAssociationStatusAssociating RecipientGetResponseAssociationStatus = "associating"` - `const RecipientGetResponseAssociationStatusAssociated RecipientGetResponseAssociationStatus = "associated"` - `const RecipientGetResponseAssociationStatusDisassociating RecipientGetResponseAssociationStatus = "disassociating"` - `const RecipientGetResponseAssociationStatusDisassociated RecipientGetResponseAssociationStatus = "disassociated"` - `Created Time` When the share was created. - `Modified Time` When the share was modified. - `Resources []RecipientGetResponseResource` - `Error string` Share Recipient error message. - `ResourceID string` Share Resource identifier. - `ResourceVersion int64` Resource Version. - `Terminal bool` Whether the error is terminal or will be continually retried. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/resource_sharing" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) recipient, err := client.ResourceSharing.Recipients.Get( context.TODO(), "3fd85f74b32742f1bff64a85009dda07", "3fd85f74b32742f1bff64a85009dda07", resource_sharing.RecipientGetParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", recipient.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "3fd85f74b32742f1bff64a85009dda07", "account_id": "023e105f4ecef8ad9ca31a8372d0c353", "association_status": "associating", "created": "2023-09-21T18:56:32.624632Z", "modified": "2023-09-21T18:56:32.624632Z", "resources": [ { "error": "Recipient is missing necessary entitlement", "resource_id": "023e105f4ecef8ad9ca31a8372d0c353", "resource_version": 0, "terminal": true } ] } } ```